Service providing access to Fundraising resources and features
Fundraising
/- Searches for pledges using predefined parameters
Creates a new pledge record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising pledge
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Sends out a preview of the pledge notification email
Preview Pledge Receipt
Resend Receipt
Resend Receipt
Resend Receipt
Returns a pledge from the system by its ID.
Returns a pledge from the system by its ID.
Partially updates a pledge with the specified ID.
Updates a pledge with the specified ID.
Searches for pledges usin...
Fundraising (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1
https://fundraising.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/resendReceipt/{id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/resendReceipt/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/resendReceipt/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/search
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"appeal_id": [
"string"
],
"campaign_id": [
"string"
],
"contact_id": [
"string"
],
"date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"fund_id": [
"string"
],
"ids": [
"string"
],
"order_id": [
"string"
],
"organization_id": [
"string"
],
"status": [
"string"
],
"type": [
"string"
]
}'Response
application/json
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/{id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"